<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Mamasakan SNYRGY X BINAR</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
        integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.carousel.min.css">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css"
        integrity="sha512-5A8nwdMOWrSz20fDsjczgUidUBR8liPYU+WymTZP1lmY9G6Oc7HlZv156XqnsgNUzTyMefFTcsFH/tnJE/+xBg=="
        crossorigin="anonymous" />
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.theme.min.css">
    <link rel="stylesheet" href="/css/style.css">
    <link rel="stylesheet" href="/css/article.css">
</head>
<style>
    .jumbotron {
        height: 200px;
        background-image: url(/img/landing.jpg);
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        text-align: center;
        position: relative;
    }

    .jumbotron .content {
        font-size: 48px;
        font-weight: bold;
        font-stretch: normal;
        font-style: normal;
        line-height: normal;
        letter-spacing: normal;
        text-align: left;
        color: white;
        text-align: center;
        margin-top: -10px;
    }

    .form-inline .form-control {
        margin: 0 400px 50px 450px;
        width: 500px;
    }

    .search-bar {
        position: absolute;
        width: 668px;
        height: 62px;
        left: 400px;
        top: 300px;
    }

    .pagination {
        margin: 0 auto;
    }

    .btn-secondary {
        color: #e7404a;
        border: solid 1px #e7404a;
        background-color: rgba(231, 64, 74, 0.07);
        border-right: none;
    }

    .btn-secondary:hover {
        background-color: #e7404a;
        border: solid 1px #e7404a;
    }

    .input-group input {
        font-size: 19px;
        font-family: 'Montserrat';
        font-weight: bold;
        border: solid 1px #e7404a;
        border-left: none;
        border-radius: 5px;
        background-color: rgba(231, 64, 74, 0.07);
    }

    .form-control::placeholder {
        color: #e7404a;
    }

    .search-bar {
        position: absolute;
        width: 668px;
        height: 62px;
        top: 320px;
        left: 500px;
    }

    .search-bar .input-group .input-group-append .btn-secondary .fa {
        font-size: 25px;
    }
</style>

<body>
    <!-- navbar -->
    <%- include('../partials/navbar')  %>
    <!-- end navbar -->
    <!-- landing -->
    <div class="jumbotron">
        <div class="container">
            <h5 class="content">ARTIKEL</h5>
            <hr style="width: 190px; height: 6px; margin-top: 0px; border-top: 4px solid red;">
        </div>

    </div>
    <!-- end landing -->
    <!-- cari -->
    <section>

        <div class="container mb-5" style="margin-bottom: 50px;">
            <div class="row justify-content-center">
                <div class="search-bar">
                    <div class="input-group">
                        <div class="input-group-append">
                            <button class="btn btn-secondary" type="button">
                                <i class="fa fa-search"></i>
                            </button>
                        </div>
                        <input type="text" class="form-control" placeholder="Cari Article" id='searchForm'></input>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- end cari -->

    <!-- article -->
    <div class="container mt-5" id='articleContainer'
        style="height: auto; margin-top: 150px !important; margin-bottom: 150px !important; ">

        <% if(!article.length){ %>
        <div class="d-flex w-100 justify-content-center align-items-center">
            <h3>Tidak ada article</h3>
        </div>
        <% } %>

    </div>
    <nav class="mt-5 mb-5 pagination">
        <ul class="pagination">
            <li class="page-item"><a class="page-link" href="#">Previous</a></li>
            <li class="page-item"><a class="page-link" href="#">1</a></li>
            <li class="page-item"><a class="page-link" href="#">2</a></li>
            <li class="page-item"><a class="page-link" href="#">3</a></li>
            <li class="page-item"><a class="page-link" href="#">Next</a></li>
        </ul>
    </nav>
    <!-- end article -->


    <%- include('../partials/footer')  %>


</body>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
    integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous">
</script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
    integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous">
</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"
    integrity="sha384-+YQ4JLhjyBLPDQt//I+STsc9iw4uQqACwlvpslubQzn4u2UU2UFM80nGisd026JF" crossorigin="anonymous">
</script>
<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.0.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.carousel.min.js">
</script>
<script>
    $(document).ready(function () {
        $("#testimonial-slider").owlCarousel({
            items: 1,
            itemsDesktop: [1000, 1],
            itemsDesktopSmall: [979, 1],
            itemsTablet: [768, 1],
            margin: 10,
            pagination: true,
            navigation: false,
            autoPlay: true
        });
    });
</script>
<script>
    const data = `<%- JSON.stringify(article) %>`

    const parsed = JSON.parse(data);

    const container = document.querySelector('#articleContainer');
    const searchForm = document.querySelector('#searchForm');

    parsed.forEach(item => {
        container.innerHTML += `
  <div class="row justify-content-center mb-5 mt-5">
            <div class="col-lg-4">
                <img src='${item.imageUrl}' alt="" class="img-rounded" width="250" height="200">
            </div>
            <div class="col-lg-8">
                <h4 class="text-article">Article</h4>
                <a class="title-article" href="article/detail-article/${item.id}">${item.title}</a>
                <p class="text-justify">Mamasakan |
                    ${new Date(item.createdAt).toLocaleDateString(['ban', 'id'], { day: 'numeric', month: 'long', year: 'numeric' })} 
                </p>
            </div>
        </div>
        `
    })

    searchForm.addEventListener('input', e => {
        container.innerHTML = '';
        e.preventDefault();

        const filtered = parsed.filter(data => {
            return data.title.toLowerCase().includes(e.target.value.toLowerCase())
        })

        if (filtered.length > 0) {
            filtered.forEach(item => {
                container.innerHTML += `
      <div class="row justify-content-center mb-5">
      <div class="col-lg-4">
          <img src='${item.imageUrl}' alt="" class="img-rounded" width="250" height="200">
      </div>
      <div class="col-lg-8">
          <h4 class="text-article">Article</h4>
          <a class="title-article" href="article/detail-article/${item.id}">${item.title}</a>
          <p class="text-justify">Mamasakan |
              ${new Date(item.createdAt).toLocaleDateString(['ban', 'id'], { day: 'numeric', month: 'long', year: 'numeric' })} 
          </p>
      </div>
  </div>
      `
            })
        } else {
            container.innerHTML = `
            <div class="d-flex w-100 justify-content-center align-items-center">
                <h3>Tidak ada article</h3>
            </div>
            `
        }
    })
</script>

</html>